%define packname  nws

Name:             R-%{packname}
Version:          1.7.0.0
Release:          1%{?dist}
Summary:          R functions for NetWorkSpaces and Sleigh

Group:            Applications/Productivity
License:          GPLv2+
URL:              http://cran.r-project.org/web/packages/nws/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:        noarch
Requires:         R
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel, tetex-latex

%description
Provides coordination and parallel execution facilities, as well as limited 
cross-language data exchange, using the netWorkSpaces server developed by 
REvolution Computing.

%prep
%setup -c -q -n %{packname}
%build

%install
%{__rm} -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_datadir}/R/library/R.css

# fix exec permissions
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/sleigh/mc_sim.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/ping.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/pong.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/examples/hello.R
chmod -x %{buildroot}%{_datadir}/R/library/nws/bin/nwsutil.py

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_datadir}/R/library/%{packname}
%doc %{_datadir}/R/library/%{packname}/examples/
%doc %{_datadir}/R/library/%{packname}/latex
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/man
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/ChangeLog
%doc %{_datadir}/R/library/%{packname}/README*
%{_datadir}/R/library/%{packname}/CONTENTS
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/R-ex
%{_datadir}/R/library/%{packname}/bin/
%{_datadir}/R/library/%{packname}/data/
%{_datadir}/R/library/%{packname}/demo/
%{_datadir}/R/library/%{packname}/help

%changelog
* Thu Oct 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.7.0.0-1
- update to 1.7.0.0

* Tue Jul 8 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.6.3-1
- initial package for Fedora
